<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ship.ship.mapper.ShipMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shipResultMap" type="org.springblade.ship.ship.entity.Ship">
        <result column="id" property="id"/>
        <result column="code" property="code"/>
        <result column="name" property="name"/>
        <result column="yard_id" property="yardId"/>
    </resultMap>


    <select id="selectShipPage" resultMap="shipResultMap">
        select * from sc_ship where is_deleted = 0
    </select>

</mapper>
